import request from '@/utils/request'

// 查询标签分组列表
export function listTaggroup(query) {
  return request({
    url: '/system/base/taggroup/list',
    method: 'get',
    params: query
  })
}

// 查询标签分组详细
export function getTaggroup(id) {
  return request({
    url: '/system/base/taggroup/' + id,
    method: 'get'
  })
}

// 新增标签分组
export function addTaggroup(data) {
  return request({
    url: '/system/base/taggroup',
    method: 'post',
    data: data
  })
}

// 修改标签分组
export function updateTaggroup(data) {
  return request({
    url: '/system/base/taggroup',
    method: 'put',
    data: data
  })
}

// 删除标签分组
export function delTaggroup(id) {
  return request({
    url: '/system/base/taggroup/' + id,
    method: 'delete'
  })
}
